Subject: Re: [racket-users] bytevector-uncompress: internal error uncompressing

From: Philip McGrath <[email-masked]>
Date: Mon, 15 Mar 2021 18:38:36 -0400

Aha! Running:

     guix environment --ad-hoc --no-grafts racket -- drracket

launches DrRacket just fine.

My guess is that Racket CS is compressing string literals in compiled 
code. Currently, Guix patches Racket source files to include the 
absolute paths to foreign libraries in the store as string literals. 
There are a bunch of grafts for GTK and such: if I'm right, Guix somehow 
mangles the compiled code while attempting to apply the grafts.

I already thought this strategy was a bad idea. If it is really the 
problem, I should be able to patch it fairly quickly: I've already been 
experimenting along these lines.

-Philip